%define        pkg_version  %(echo %version | tr . _)

Name:          jclasslib
Version:       3.1
Release:       %mkrel 6
Summary:       JClasslib bytecode viewer
Group:         Development/Java
License:       GPL
URL:           http://www.ej-technologies.com/products/jclasslib/overview.html
Source0:       http://sourceforge.net/projects/jclasslib/files/jclasslib/%{version}/jclasslib_unix_%{pkg_version}.tar.gz
Source1:       jclasslib-script
Source2:       jclasslib.desktop
Patch0:        jclasslib-3.1-taskdefs.patch
Patch1:        jclasslib-3.1-build.patch
Patch2:        jclasslib-3.1-default-browser.patch
Patch3:        jclasslib-3.1-default-docdir.patch
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: kunststoff
BuildRequires: jpackage-utils
BuildRequires: java-javadoc
BuildRequires: desktop-file-utils
Requires:      java
Requires:      jpackage-utils
Requires:      kunststoff
BuildArch:     noarch

%description
jclasslib bytecode viewer is a tool that visualizes all aspects of compiled Java class
files and the contained bytecode. In addition, it contains a library that enables
developers to read, modify and write Java class files and bytecode.

%package javadoc
Group:          Development/Java
Summary:       Javadoc for %{name}

%description javadoc
JClasslib bytecode viewer.

This package contains javadoc for %{name}.

%package scripts
Group:         Development/Java
Summary:       Scripts for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description scripts
JClasslib bytecode viewer.

This package contains scripts for %{name}.

%prep

%setup -q -n jclasslib
%patch0 -p0
%patch1 -p0
%patch2 -p0
sed -i "s|_DEFAULT_BROWSER_|firefox|" src/org/gjt/jclasslib/util/GUIHelper.java
%patch3 -p0
sed -i "s|_DEFAULT_DOCDIR_|%{_docdir}/%{name}|" src/org/gjt/jclasslib/browser/BrowserMDIFrame.java

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

mkdir lib
rm -rf doc/api/*

%build

export CLASSPATH=$(build-classpath kunststoff):build

ant \
  -Dbuild.compiler=modern \
  -Dj2se.javadoc=%{_javadocdir}/java \
  jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -m 644 build/jclasslib.jar %{buildroot}%{_javadir}/jclasslib-%{version}.jar
install -m 644 build/jclasslib-library.jar %{buildroot}%{_javadir}/jclasslib-library-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jclasslib-%{version}
cp -pr doc/api/* %{buildroot}%{_javadocdir}/jclasslib-%{version}
ln -s jclasslib-%{version} %{buildroot}%{_javadocdir}/jclasslib
rm -rf doc/api
#rm -rf doc/src

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/jclasslib

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install %{SOURCE2} --mode=644 --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/jclasslib.desktop

mkdir -p %{buildroot}%{_datadir}/icons/locolor/16x16
install -pm 644 service/jclasslib16x16.png %{buildroot}%{_datadir}/icons/locolor/16x16/jclasslib.png
mkdir -p %{buildroot}%{_datadir}/icons/locolor/32x32
install -pm 644 service/jclasslib32x32.png %{buildroot}%{_datadir}/icons/locolor/32x32/jclasslib.png

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pm 644 service/jclasslib32x32.png %{buildroot}%{_datadir}/pixmaps/jclasslib.png

%files
%{_javadir}/jclasslib-%{version}.jar
%{_javadir}/jclasslib.jar
%{_javadir}/jclasslib-library-%{version}.jar
%{_javadir}/jclasslib-library.jar
%doc license doc/*

%files javadoc
%{_javadocdir}/jclasslib-%{version}
%{_javadocdir}/jclasslib

%files scripts
%{_bindir}/jclasslib
%{_datadir}/applications/jclasslib.desktop
%{_datadir}/pixmaps/jclasslib.png
%{_datadir}/icons/locolor/*x*/jclasslib.png



%changelog
* Mon Feb 08 2016 umeabot <umeabot> 3.1-6.mga6
+ Revision: 945997
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1-5.mga5
+ Revision: 744480
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1-4.mga5
+ Revision: 680750
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.1-3.mga4
+ Revision: 506353
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.1-2.mga3
+ Revision: 355260
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 27 2011 dmorgan <dmorgan> 3.1-1.mga2
+ Revision: 135657
- Fix buildrequires
- Remove useless macros

  + gil <gil>
    - imported package jclasslib


* Wed Jun 15 2011 gil <gil> 2.0.0-0.%%mkrel
- initial rpm
